Package org.eclipse.handly.model.impl

## Enum IElementImplExtension.CloseHint

- java.lang.Object
- - java.lang.Enum<IElementImplExtension.CloseHint>
  - - org.eclipse.handly.model.impl.IElementImplExtension.CloseHint

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IElementImplExtension.CloseHint>`
  Enclosing interface:
    IElementImplExtension

      public static enum IElementImplExtension.CloseHint
      extends java.lang.Enum<IElementImplExtension.CloseHint>

  Indicates reason for element closing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CACHE_OVERFLOW` | Closing due to cache overflow.
    `PARENT_CLOSING` | Closing due to parent closing.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IElementImplExtension.CloseHint` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IElementImplExtension.CloseHint[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CACHE_OVERFLOW

          public static final IElementImplExtension.CloseHint CACHE_OVERFLOW

      Closing due to cache overflow.

    - #### PARENT_CLOSING

          public static final IElementImplExtension.CloseHint PARENT_CLOSING

      Closing due to parent closing.

  - ### Method Detail

    - #### values

          public static IElementImplExtension.CloseHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IElementImplExtension.CloseHint c : IElementImplExtension.CloseHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IElementImplExtension.CloseHint valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null